Package org.apache.sysds.runtime.controlprogram.paramserv

# Class SparkPSProxy

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.ParamServer
org.apache.sysds.runtime.controlprogram.paramserv.SparkPSProxy

public class SparkPSProxy extends ParamServer

## Constructor Summary

Constructors
Constructor
Description
`SparkPSProxy(org.apache.spark.network.client.TransportClient client, long rpcTimeout, org.apache.spark.util.LongAccumulator aRPC)`

## Method Summary

Modifier and Type
Method
Description
`ListObject`
`pull(int workerID)`
`void`
`push(int workerID, ListObject value)`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.paramserv.ParamServer

`getAggInst, getNumWorkers, getResult`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SparkPSProxy

public SparkPSProxy(org.apache.spark.network.client.TransportClient client, long rpcTimeout, org.apache.spark.util.LongAccumulator aRPC)

## Method Details

### push

public void push(int workerID, ListObject value)

Specified by:
  `push` in class `ParamServer`

### pull

public ListObject pull(int workerID)

Specified by:
  `pull` in class `ParamServer`